<!-- details -->
<div class="row mx-0 my-4 details" [(ngClass)]="statusClass">
    <div class="col-lg-6 col-md-12 py-2 pr-0 pl-2 information row " *ngIf="colaborator">
        <div class="col-sm-6 col-xs-12 pl-3 pr-0 padding-responsive">
            <p class="mt-1 mb-0">
                <label class="label">{{ 'modules.colaborator.details.firstName' | translate }}</label>
                <label class="data">{{ colaborator.firstName ? colaborator.firstName : '-' }}</label>
            </p>
            <p class="mt-1 mb-0">
                <label class="label">{{ 'modules.colaborator.details.lastName' | translate }}</label>
                <label class="data">{{ colaborator.lastName ? colaborator.lastName : '-' }}</label>
            </p>
            <p class="mt-1 mb-0">
                <label class="label">{{ 'modules.colaborator.details.email' | translate }}</label>
                <label class="data">{{ colaborator.email ? colaborator.email : '-' }}</label>
            </p>
            <p class="mt-1 mb-0">
                <label class="label">{{ 'modules.colaborator.details.phone' | translate }}</label>
                <label class="data" *ngIf="!colaborator.phone">-</label>
                <a href="https://api.whatsapp.com/send?phone={{ colaborator.phone }}" class="font-small-2" target="_blank" *ngIf="colaborator.phone">{{ colaborator.phone }}</a>
            </p>
            <p class="mt-1 mb-0">
                <label class="label">{{ 'modules.colaborator.details.address' | translate }}</label>
                <label class="data">{{ colaborator.address ? colaborator.address : '-' }} {{ colaborator.number ? colaborator.number : '' }}</label>
            </p>
            <p class="mt-1 mb-0">
                <label class="label">{{ 'modules.colaborator.details.number' | translate }}</label>
                <label class="data primary">{{ colaborator.identification ? colaborator.identification : '-' }}</label>
            </p>
        </div>
        <div class="col-sm-6 col-xs-12 pl-xs-3 padding-responsive">
            <p class="mt-1 mb-0">
                <label class="label">{{ 'modules.colaborator.details.age' | translate }}</label>
                <label class="data">{{ colaborator.age ? colaborator.age : '-' }}</label>
            </p>
            <p class="mt-1 mb-0">
                <label class="label">{{ 'modules.colaborator.details.status' | translate }}</label>
                <label class="data">{{ colaborator.statusLabel }}</label>
            </p>
            <button type="button" *ngIf="colaborator.questionnaireAnswered" class="btn btn-blue mt-3 mb-0 w-100" (click)="openQuestionnaire()">{{ 'modules.colaborator.details.viewQuestionnaire' | translate }}</button>
            <button type="button" class="btn btn-red mt-2 mb-0 w-100" [routerLink]="['/misbehavior/dashboard']">{{ 'modules.colaborator.details.defaultRecord' | translate }}</button>
            <button type="button" *ngIf="!colaborator.isQuarantined" (click)="toggleMeasure()" class="btn btn-grey mt-2 mb-0 w-100">{{ 'modules.colaborator.details.applyEstablishedMeasure' | translate }}</button>
            <button type="button" *ngIf="colaborator.isQuarantined" (click)="toggleMeasure()" class="btn btn-grey mt-2 mb-0 w-100">{{ 'modules.colaborator.details.removeEstablishedMeasure' | translate }}</button>
        </div>
    </div>

    <!-- Map-->
    <div class="col-lg-6 col-md-12 py-3 pr-0 pl-3 map">
        <app-map *ngIf="colaborator" [markers]="markers" [latitude]="mapLat" [longitude]="mapLng" [zoom]="mapZoom"></app-map>
    </div>

    <!--div class="col-md-4 card text-white bg-secondary p-0 m-0">
        <div class="card-header">{{ 'modules.colaborator.details.report'| translate: { quantity: 39 } }}</div>
        <div class="card-body p-2">
            <p>
                <label class="card-title mb-0">Nª 45522113131</label>
                <label class="card-text">
                    Lunes 25 de mayo de 2020
                    <a class="float-right font-small-1">{{ 'modules.colaborator.details.seeMore' | translate }}</a>
                </label>
            </p>
            <p>
                <label class="card-title mb-0">Nª 45522113131</label>
                <label class="card-text">Lunes 25 de mayo de 2020
                    <a class="float-right font-small-1">{{ 'modules.colaborator.details.seeMore' | translate }}</a>
                </label>
            </p>
            <p>
                <label class="card-title mb-0">Nª 45522113131</label>
                <label class="card-text">Lunes 25 de mayo de 2020
                    <a class="float-right font-small-1">{{ 'modules.colaborator.details.seeMore' | translate }}</a>
                </label>
            </p>
        </div>
        <div class="card-footer"></div>
    </div-->
</div>